
Redmine - Feature #2087

Removal of menu-items through plugin-API

2008-10-24 17:22 - Mischa The Evil

Status: Closed Start date: 2008-10-24

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

As discussed in IRC;

Add a way to remove menu-items (at least as discussed for top-menu) through the plugin-API.

This might be handy for people who wants to seriously modify Redmine.

Associated revisions

Revision 1952 - 2008-10-25 11:55 - Jean-Philippe Lang

Adds #delete_menu_item to the plugin API (#2087).

History

#1 - 2008-10-25 11:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#delete_menu_item method added to the plugin API in r1952.

Example:

Redmine::Plugin.register :foo do

  delete_menu_item :top_menu, :my_page

end
